declare const _default: {
    breakpoints: string[];
    space: number[];
    fonts: {
        body: string;
        heading: string;
        monospace: string;
    };
    fontSizes: number[];
    fontWeights: {
        body: number;
        heading: number;
        bold: number;
    };
    lineHeights: {
        body: number;
        heading: number;
    };
    buttons: {
        primary: {
            py: number;
            px: number;
            fontFamily: string;
            borderRadius: string;
            outline: string;
            cursor: string;
            transition: string;
            '&:active': {
                bg: string;
            };
            '&:disabled,&[disabled]': {
                cursor: string;
                bg: string;
                color: string;
            };
        };
        outline: {
            py: string;
            px: number;
            fontFamily: string;
            borderRadius: string;
            outline: string;
            cursor: string;
            transition: string;
            bg: string;
            boxShadow: string;
            color: string;
            '&:active': {
                bg: string;
            };
            '&:hover': {
                boxShadow: string;
            };
            '&:disabled,&[disabled]': {
                cursor: string;
                bg: string;
                boxShadow: string;
                color: string;
            };
        };
        warning: {
            py: string;
            px: number;
            fontFamily: string;
            borderRadius: string;
            outline: string;
            cursor: string;
            bg: string;
            transition: string;
            boxShadow: string;
            color: string;
            '&:active': {
                bg: string;
            };
            '&:disabled,&[disabled]': {
                cursor: string;
                bg: string;
                boxShadow: string;
                color: string;
            };
        };
        destructive: {
            py: string;
            px: number;
            fontFamily: string;
            borderRadius: string;
            outline: string;
            cursor: string;
            bg: string;
            color: string;
            transition: string;
            '&:active': {
                bg: string;
            };
            '&:disabled,&[disabled]': {
                cursor: string;
                bg: string;
                color: string;
            };
        };
    };
    colors: any;
    text: {
        heading: {
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
        };
    };
    styles: {
        root: {
            fontFamily: string;
            lineHeight: string;
            fontWeight: string;
            color: string;
            '*': {
                boxSizing: string;
            };
        };
        h1: {
            variant: string;
            fontSize: number;
        };
        h2: {
            variant: string;
            fontSize: number;
        };
        h3: {
            variant: string;
            fontSize: number;
        };
        h4: {
            variant: string;
            fontSize: number;
        };
        h5: {
            variant: string;
            fontWeight: string;
            fontSize: number;
        };
        h6: {
            variant: string;
            textTransform: string;
            fontWeight: string;
            fontSize: number;
        };
        pre: {
            fontFamily: string;
            overflowX: string;
            code: {
                color: string;
            };
        };
        code: {
            fontFamily: string;
            fontSize: string;
        };
        table: {
            width: string;
            borderCollapse: string;
            borderSpacing: number;
        };
        th: {
            textAlign: string;
            borderBottomStyle: string;
        };
        td: {
            textAlign: string;
            borderBottomStyle: string;
        };
    };
};
export default _default;
